#!/bin/sh

# build my info/dep file(s) and copy into /tmp before running script
# I prefer wget to use no clobber as I retest the script

# build depends 
tce-load -i compiletc submitqc4 wget
tce-load -i aspell aspell-lib ncursesw-dev

# download and unpack stuff
# http://aspell.net/ is main site but used mirror for speed
cd /tmp
wget -nc http://mirror.optusnet.com.au/gnu/aspell/dict/fi/aspell6-fi-0.7-0.tar.bz2
tar jxvf aspell6-fi-0.7-0.tar.bz2

# tcz compile flags not needed its just a pack

cd aspell6-fi-0.7-0
./configure --vars DESTDIR=/usr/local 
make -j3
make DESTDIR=/tmp/aspell-fi install

cd /tmp
mksquashfs aspell-fi aspell-fi.tcz
md5sum aspell-fi.tcz > aspell-fi.tcz.md5.txt
cd aspell-fi
find usr -not -type d > aspell-fi.tcz.list
mv -f aspell-fi.tcz.list /tmp

# complete

cd /tmp
submitqc4